package J20250716.demo05_codeblocks;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo03
 * @description
 * @create 2025/7/16
 */
public class Demo03 extends Fu{
    public Demo03() {
        System.out.println("我是子类的构造方法....");
        {
            System.out.println("我是子类的局部代码块");
        }
    }
    {
        System.out.println("我是子类的代码块");
    }
    static {
        System.out.println("我是子类的静态代码块");
    }

    public static void staticMethod(){
        System.out.println("我是子类的静态方法");
    }
    public void method(){
        System.out.println("我是子类的普通方法");
    }

    public static void main(String[] args) {
        //Demo03.staticMethod();
        Demo03 d=new Demo03();
        d.method();
    }

}
class Fu{
    public Fu() {
        System.out.println("我是父类的构造方法....");
        {
            System.out.println("我是父类的局部代码块");
        }
    }
    {
        System.out.println("我是父类的代码块");
    }
    static {
        System.out.println("我是父类的静态代码块");
    }

    public static void staticMethod(){
        System.out.println("我是父类的静态方法");
    }
    public void method(){
        System.out.println("我是父类的普通方法");
    }
}